%define _unpackaged_files_terminate_build 1
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(HTTP/Request/Common.pm) perl(Pod/Checker.pm) perl-podlators
# END SourceDeps(oneline)
%define	upstream_name	 Net-Akismet
%define	upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt3_4

Summary:	Perl interface to Akismet - comment and trackback spam fighter 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/N/NI/NIKOLAY/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(LWP/UserAgent.pm)
Buildrequires:	perl-devel
Buildarch:	noarch
Source44: import.info


%description
Net::Akismet is a Perl interface to Akismet, a comment and trackback
spam fighter.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
%make

%check
rm t/*podcheck.t
make test

%install
%makeinstall_std

%files 
%doc Changes README
%{perl_vendor_privlib}/Net/Akismet.pm

%changelog
* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 0.05-alt3_4
- rebuild to get rid of unmets

* Tue Mar 11 2014 Igor Vlasenko <viy@altlinux.ru> 0.05-alt2_4
- update by mgaimport

* Fri Sep 13 2013 Cronbuild Service <cronbuild@altlinux.org> 0.05-alt2_3
- rebuild to get rid of unmets

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_3
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_2
- converted for ALT Linux by srpmconvert tools

